package loader;
import java.util.*;
import java.awt.Point;
import flow4j.designer.io.*;

public class Webapp {

	public void start(FlowLoaderFacade loader) {
		createFlowlets(loader);
		createConnections(loader);
	}
	protected void createFlowlets(FlowLoaderFacade loader) {
		StartFlowlet_1(loader);
		TaskFlowlet_2(loader);
		StartFlowlet_3(loader);
		TaskFlowlet_4(loader);
		TemplateFlowlet_5(loader);
	}
	protected void createConnections(FlowLoaderFacade loader) {
		Connection_6(loader);
		Connection_7(loader);
		Connection_8(loader);
		Connection_9(loader);
	}
	protected void StartFlowlet_1(FlowLoaderFacade loader) {
		//	name: Start2
		List points = new ArrayList();
		points.add(new Point(399, 35));
		points.add(new Point(338, 35));
		points.add(new Point(368, 89));
		fun.createStartFlowlet(loader, "StartFlowlet_1", "Start2", points);
	}
	protected void TaskFlowlet_2(FlowLoaderFacade loader) {
		//	class: mytasks.PutTextInDict
		List points = new ArrayList();
		points.add(new Point(442, 201));
		points.add(new Point(284, 201));
		points.add(new Point(284, 159));
		points.add(new Point(442, 159));
		List propLines = new ArrayList();
		propLines.add("text=\"two\"");
		fun.createTaskFlowlet(loader, "TaskFlowlet_2", "mytasks.PutTextInDict", points, propLines);
	}
	protected void StartFlowlet_3(FlowLoaderFacade loader) {
		//	name: Start1
		List points = new ArrayList();
		points.add(new Point(146, 38));
		points.add(new Point(85, 38));
		points.add(new Point(115, 94));
		fun.createStartFlowlet(loader, "StartFlowlet_3", "Start1", points);
	}
	protected void TaskFlowlet_4(FlowLoaderFacade loader) {
		//	class: mytasks.PutTextInDict
		List points = new ArrayList();
		points.add(new Point(193, 201));
		points.add(new Point(37, 201));
		points.add(new Point(37, 156));
		points.add(new Point(193, 156));
		List propLines = new ArrayList();
		propLines.add("text=\"one\"");
		fun.createTaskFlowlet(loader, "TaskFlowlet_4", "mytasks.PutTextInDict", points, propLines);
	}
	protected void TemplateFlowlet_5(FlowLoaderFacade loader) {
		List points = new ArrayList();
		points.add(new Point(321, 283));
		points.add(new Point(294, 276));
		points.add(new Point(214, 276));
		points.add(new Point(214, 306));
		points.add(new Point(321, 306));
		points.add(new Point(321, 283));
		points.add(new Point(294, 283));
		points.add(new Point(294, 276));
		fun.createTemplateFlowlet(loader, "TemplateFlowlet_5", "bla.jsp", points);
	}
	protected void Connection_6(FlowLoaderFacade loader) {
		List points = new ArrayList();
		points.add(new Point(115, 156));
		points.add(new Point(115, 94));
		fun.createConnection(loader, "Connection_6", "StartFlowlet_3", 0, "TaskFlowlet_4", 2, points);
	}
	protected void Connection_7(FlowLoaderFacade loader) {
		List points = new ArrayList();
		points.add(new Point(214, 291));
		points.add(new Point(115, 290));
		points.add(new Point(115, 201));
		fun.createConnection(loader, "Connection_7", "TaskFlowlet_4", 0, "TemplateFlowlet_5", 1, points);
	}
	protected void Connection_8(FlowLoaderFacade loader) {
		List points = new ArrayList();
		points.add(new Point(363, 159));
		points.add(new Point(368, 89));
		fun.createConnection(loader, "Connection_8", "StartFlowlet_1", 0, "TaskFlowlet_2", 2, points);
	}
	protected void Connection_9(FlowLoaderFacade loader) {
		List points = new ArrayList();
		points.add(new Point(267, 276));
		points.add(new Point(267, 241));
		points.add(new Point(363, 241));
		points.add(new Point(363, 201));
		fun.createConnection(loader, "Connection_9", "TaskFlowlet_2", 0, "TemplateFlowlet_5", 0, points);
	}

}
